Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session.xplat
Class ShibbolethWrapper

    java.lang.Object
      |
      +--com.novell.service.session.xplat.ShibbolethWrapper

public class ShibbolethWrapper
extends java.lang.Object
implements , java.io.Serializable

Constructor Summary
`ShibbolethWrapper(ShibbolethRemote obj)`

Method Summary
`void` | `authenticate(java.lang.String userName, java.lang.String password)`
`void` | `changePassword(java.lang.String userName, java.lang.String oldPassword, java.lang.String newPassword)`
`byte[]` | `encrypt(byte[] cleartext)`
`void` | `setPassword(java.lang.String objName, java.lang.String password)`
`void` | `unauthenticate()`
`void` | `verifyPassword(java.lang.String objName, java.lang.String password)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShibbolethWrapper

    public ShibbolethWrapper(ShibbolethRemote obj)

Method Detail

### encrypt

    public byte[] encrypt(byte[] cleartext)
                   throws SessionException

### changePassword

    public void changePassword(java.lang.String userName,
                               java.lang.String oldPassword,
                               java.lang.String newPassword)
                        throws SessionException,
                               java.rmi.RemoteException

  Specified by:
    changePassword in interface

### setPassword

    public void setPassword(java.lang.String objName,
                            java.lang.String password)
                     throws SessionException,
                            java.rmi.RemoteException

  Specified by:
    setPassword in interface

### verifyPassword

    public void verifyPassword(java.lang.String objName,
                               java.lang.String password)
                        throws SessionException,
                               java.rmi.RemoteException

  Specified by:
    verifyPassword in interface

### authenticate

    public void authenticate(java.lang.String userName,
                             java.lang.String password)
                      throws SessionException,
                             java.rmi.RemoteException

  Specified by:
    authenticate in interface

### unauthenticate

    public void unauthenticate()
                        throws SessionException,
                               java.rmi.RemoteException

  Specified by:
    unauthenticate in interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD